<bugID>1003620<Summary>Add QR encoder library</Summary><Description>For WiFi debugging, we intend to exchange keys via a QR code that is scanned with the phone.

To support this, we need to generate a QR code.

There appears to be one main JS encoder[1], and others just wrap it.  I'll wrap it with a simple API.  The encoder is under the MIT license, but I'll also request a license review.

[1]: https://github.com/kazuhikoarase/qrcode-generator</Description></bugID>